about summary refs log tree commit diff
path: root/nyx_mode
diff options
context:
space:
mode:
authorvanhauser-thc <vh@thc.org>2022-01-31 09:00:01 +0100
committervanhauser-thc <vh@thc.org>2022-01-31 09:00:01 +0100
commitdd9003e59b87b00c8e1ea62612c88599b7eaa14c (patch)
tree9953711bbf35bf8614369f8514fac221b9519a14 /nyx_mode
parent53eb5ba2fbfa75e1c008239bf5d54238bfadb148 (diff)
downloadafl++-dd9003e59b87b00c8e1ea62612c88599b7eaa14c.tar.gz
nits for nyx build script
Diffstat (limited to 'nyx_mode')
-rwxr-xr-xnyx_mode/build_nyx_support.sh13
1 files changed, 10 insertions, 3 deletions
diff --git a/nyx_mode/build_nyx_support.sh b/nyx_mode/build_nyx_support.sh
index 3cb13cf1..8fa12ceb 100755
--- a/nyx_mode/build_nyx_support.sh
+++ b/nyx_mode/build_nyx_support.sh
@@ -13,6 +13,13 @@ if [ ! "`uname -s`" = "Linux" ]; then
 
 fi
 
+if [ ! "`uname -m`" = "x86_64" ]; then
+
+  echo "[-] Error: Nyx mode is only available on x86_64 (yet)."
+  exit 0
+
+fi
+
 echo "[*] Making sure all Nyx is checked out"
 
 git status 1>/dev/null 2>/dev/null
@@ -34,9 +41,9 @@ else
 
 fi
 
-test -d QEMU-Nyx/.git || { echo "[-] Not checked out, please install git or check your internet connection." ; exit 1 ; }
-test -d packer/.git || { echo "[-] Not checked out, please install git or check your internet connection." ; exit 1 ; }
-test -d libnyx/.git || { echo "[-] Not checked out, please install git or check your internet connection." ; exit 1 ; }
+test -d packer/.git || { echo "[-] packer not checked out, please install git or check your internet connection." ; exit 1 ; }
+test -d libnyx/.git || { echo "[-] libnyx not checked out, please install git or check your internet connection." ; exit 1 ; }
+test -d QEMU-Nyx/.git || { echo "[-] QEMU-Nyx not checked out, please install git or check your internet connection." ; exit 1 ; }
 
 echo "[*] checking packer init.cpio.gz ..."
 if [ ! -f "packer/linux_initramfs/init.cpio.gz" ]; then